package com.ym.mec.cms.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

import com.ym.mec.common.entity.BaseEntity;

import java.util.List;

/**
 * 对应数据库表(sys_news_type):
 */
public class SysNewsType extends BaseEntity {

	/**  */
	private Integer id;
	
	/**  */
	private String name;
	
	/**  */
	private Integer parentId;
	
	/**  */
	private boolean delFlag;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	private List<SysNewsType> children;
	private List<SysNewsInformation> informationList;

	public List<SysNewsInformation> getInformationList() {
		return informationList;
	}

	public void setInformationList(List<SysNewsInformation> informationList) {
		this.informationList = informationList;
	}

	public List<SysNewsType> getChildren() {
		return children;
	}

	public SysNewsType setChildren(List<SysNewsType> children) {
		this.children = children;
		return this;
	}

	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setName(String name){
		this.name = name;
	}
	
	public String getName(){
		return this.name;
	}
			
	public void setParentId(Integer parentId){
		this.parentId = parentId;
	}
	
	public Integer getParentId(){
		return this.parentId;
	}
			
	public void setDelFlag(boolean delFlag){
		this.delFlag = delFlag;
	}
	
	public boolean isDelFlag(){
		return this.delFlag;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
